%define module pwc
%define version 10.0.7a

Summary: Pwc kernel driver for Philips webcam
Name: dkms-%{module}
Version: %{version}
Release:  %mkrel 1
License: GPL
Group: System/Kernel and hardware
Source0: http://www.saillard.org/linux/pwc/files/%{module}-%{version}.tar.bz2
URL: http://www.saillard.org/linux/pwc/
Provides: %{module}
Requires: dkms >= 1.00
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
This is a fork of the discontinuity pwc driver made by Nemosoft Unv. You don't
need binary module with this driver, however decompression is supported for big
resolution (640x480).

%prep
%setup -n %{module}-%{version} -q

%build

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}

cp -rf	*		$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="src=/usr/src/${PACKAGE_NAME}-${PACKAGE_VERSION}/ ; make"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="pwc"
DEST_MODULE_LOCATION[0]="/kernel/drivers/usb/media/pwc"

AUTOINSTALL=yes
EOF

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root,-)
/usr/src/%{module}-%{version}-%{release}

%post
dkms add -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade

%preun
dkms remove -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade --all

%changelog
* Mon Aug 08 2005 Stefan van der Eijk <stefan@eijk.nu> 10.0.7a-1mdk
- initial package
